# Common Attributes

Each response from the API include some standard attributes for metadata and pagination (for collections) which follow the IONOS Cloud API standards. Most of these will be omitted from the response examples for brevity.

## Type, ID and Pagination in collections

```json
{
  "_links": {
    "next": "https://link-to-next-collection-page",
    "previous": "https://link-to-previous-collection-page",
    "self": "https://link-to-this-collection-page"
  },
  "href": "http://link-to-this-collection-page",
  "id": "UUID-for-this-collection-page",
  "items": [
    ...
  ],
  "limit": 100,
  "offset": 0,
  "type": "collection"
}
```

## Type, ID and Metadata for resources

```json
{
  "href": "https://link-to-this-resource-page",
  "id": "UUID-for-this-resource-page",
  "metadata": {
    "createdBy": "URN-of-creator",
    "createdByUserId": "UUID-of-creator",
    "createdDate": "creation-timestamp",
    "lastModifiedBy": "URN-of-actor",
    "latModifiedByUserId": "UUID-of-actor",
    "lastModifiedDate": "modification-timestamp",
    "resourceURN": "URN-for-this-resource"
  },
  "properties": {
    ...
  },
  "type": "user-or-database"
}
```

If a resource is:

* not created via the API, its `createdBy` field ends with `_unmanaged_`.
* a read-only system resource, its `createdBy` field ends with `_system_`.
